{ pkgs
, lib
, config
, ... }: with lib; let
  cfg = config.home.btop;
in {
  options.home.btop = {
    enable = mkEnableOption "btop" // { default = !config.home.util.minimal; };
  };

  config = {
    users.homeModules = [
      # this module passes gyroflow configuration to home-manager
      { passthrough.btop = cfg; }
    ];
  };
}
