{ pkgs
, lib
, config
, ... }: with lib; let
  cfg = config.passthrough.gnome;
in mkIf cfg.enable {
  home.packages =
  with pkgs;
  with gnome;
  with gnomeExtensions; [
    # gnome
    gnome-terminal

    # gnomeExtensions
    dash-to-panel
    dash-to-dock
    appindicator
  ];
}
