{ pkgs
, lib
, config
, ... }: with lib; let
  cfg = config.passthrough.libreoffice;
  enable = cfg.enable && (cfg.allUsers || (config.home.username == "app"));
in mkIf enable {
  home.packages = with pkgs; [ libreoffice ];
}
