{ pkgs
, lib
, config
, ... }: with lib; let
  cfg = config.passthrough.minecraft;
  enable = cfg.enable && (cfg.allUsers || (config.home.username == "app"));
in mkIf enable {
  home.packages = with pkgs; [
    prismlauncher
    jdk8
  ];

  wayland.windowManager.sway.config.window.commands = [
    { criteria.app_id = "org.prismlauncher.PrismLauncher"; command = "floating enable"; }
  ];
}
