{ pkgs
, lib
, config
, ... }: with lib; mkIf config.passthrough.gui {
  programs.swaylock = {
    enable = true;
    package = pkgs.swaylock-effects;
    settings = {
      indicator-caps-lock = true;
      font-size = 20;
      ignore-empty-password = true;
      show-failed-attempts = true;
      color = mkDefault "#00000000";

      # Ring
      indicator-radius = 115;

      # Swaylock-effects specific settings
      clock = true;
      timestr = "%r";
      grace = 2;
    };
  };
}
