{ config
, ... }: {
  xdg = {
    enable = true;
    userDirs = let
      home = config.home.homeDirectory;
      local = "${home}/local";
    in {
      enable = true;
      createDirectories = true;
      download = "${home}/dl";
      desktop = "${local}/desktop";
      documents = "${local}/documents";
      music = "${local}/music";
      pictures = "${local}/pictures";
      publicShare = "${local}/public";
      templates = "${local}/templates";
      videos = "${local}/videos";
    };
  };
}
