---
title: "BLHeli32 ESC Startup Music"
date: "2023-04-22 23:05:14 +0800"
categories: [ "Multirotor", "Hardware" ]
tags: [ "music", "propulsion", "blheli32" ]
pin: true
---
This post details how to replicate my quadcopter ESC startup music. Note that a BLHeli32 ESC or one with compatible music functionality is required.

Turn on music for all four ESCs, and set `Gen. Length` to 11, `Gen. Interval` to 0. In the `All ESC together` section, make sure the checkboxes for `Show 1/X for length`, `Show Space` and `Play 1 Octave lower` are all set to enable.

Then, set the music data as follows.

```
A5 1/4 G5 1/4 A5 1/4 E5 1/4 C5 1/4 B4 1/4 C5 1/4 A4 1/8 B4 1/8 A4 1/2 A5 1/2 G5 1/2 E5 1/2 A5 1/4 B5 1/4 C6 1/4 E6 1/4 C6 1/4 B5 1/4 G5 1/4 B4 1/4 A4 1/2 B4 1/2 C5 1/2 P1/2 P1/1 P1/1 P1/1 P1/1 P1/1 P1/1 P1/1 P1/1
```
{: file='ESC#1'}

```
P1/1 P1/1 C5 1/2 C6 1/2 B5 1/2 G5 1/2 P1/1 P1/1 C5 1/2 G5 1/2 A5 1/2 P1/2 P1/1 P1/1 P1/1 P1/1 P1/1 P1/1 P1/1 P1/1
```
{: file='ESC#2'}

```
P1/1 P1/1 P1/1 P1/1 P1/1 P1/1 P1/1 P1/2 E5 1/4 G5 1/4 A5 1/4 G5 1/4 A5 1/4 B5 1/4 C6 1/4 B5 1/4 D6 1/4 B5 1/4 A5 1/4 G5 1/4 E5 1/4 E5 1/4 A4 1/2 G4 1/2 A4 1/4 B4 1/4 C5 1/4 E5 1/4 C5 1/4 E5 1/4 C5 1/4 B4 1/4 E4 1/4 E4 1/4 C4 1/4 E4 1/4 C4 1/2 D4 1/2
```
{: file='ESC#3'}

```
P1/1 P1/1 P1/1 P1/1 P1/1 P1/1 P1/1 P1/2 P1/2 P1/1 P1/1 C6 1/4 B5 1/4 A5 1/4 G5 1/4 C5 1/2 B4 1/2 P1/1 P1/1 A4 1/4 G4 1/4 E4 1/4 G4 1/4 A4 1/2 B4 1/2
```
{: file='ESC#4'}

<style> pre { white-space: pre-wrap; } </style>
